Bug 1178241 - https://repos.fedorapeople.org/repos/pulp/pulp/rhel-pulp.repo does not work on Centos7
Summary: https://repos.fedorapeople.org/repos/pulp/pulp/rhel-pulp.repo does not work o...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: 2.5
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-03 01:19 UTC by Jonathan Mainguy
Modified: 2015-02-28 23:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 23:17:52 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 649 0 None None None Never

Description Jonathan Mainguy 2015-01-03 01:19:07 UTC
Description of problem:
The .repo file does not work with a fresh Centos 7 box. Specifically $releasever on Centos7 resolves as "7" where as the pulp repo is expecting it to resolve to "7Server", because of this, people are unable to follow the getting started guide on https://pulp-user-guide.readthedocs.org/en/2.5-release/installation.html.

The fix is, to edit the .repo file from $releasever to "$releasever"Server 

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Build a new Centos7 Box
2. Wget the repo 
3. Yum update and watch the url fail

Actual results:
https://repos.fedorapeople.org/repos/pulp/pulp/stable/2/7/x86_64/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found

Expected results:
pulp-2-stable                                                                                                                                                          | 3.6 kB  00:00:00     
(1/2): pulp-2-stable/7/x86_64/group_gz                                                                                                                                 |  521 B  00:00:00     
(2/2): pulp-2-stable/7/x86_64/primary_db                                                                                                                               |  22 kB  00:00:00   

Additional info:


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 1 Randy Barlow 2015-01-05 15:58:02 UTC
Another option is for us to make one of 7 and 7Server a symlink to the other in our hosted repository.

Comment 2 Brian Bouterse 2015-01-05 17:16:33 UTC
This is likely a problem between Server and Workstation, not RHEL vs CentOS. I believe both RHEL and CentOS do not report the 'Server' part of the string when used with Workstation.

I think the symlink is the right approach. We should do the same for 6 and 6Server along with 5 and 5Server.

Comment 3 Brian Bouterse 2015-02-28 23:17:52 UTC
Moved to https://pulp.plan.io/issues/649


Note You need to log in before you can comment on or make changes to this bug.